UploadsApi
Method
HTTP request
Description
AbortMultipartUpload
var result map[string]interface{} = AbortMultipartUpload(ctx, bucket, key)
.UploadId(uploadId)
.Execute()Example
package main
import (
"context"
"fmt"
"os"
ionoscloud "github.com/ionos-cloud/sdk-go-s3"
)
func main() {
bucket := "bucket_example" // string |
key := "key_example" // string | Key of the object for which the multipart upload was initiated. <p> **Possible values:** length ≥ 1 </p>
uploadId := "uploadId_example" // string | Upload ID that identifies the multipart upload.
configuration := ionoscloud.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
apiClient := ionoscloud.NewAPIClient(configuration)
resource, resp, err := apiClient.UploadsApi.AbortMultipartUpload(context.Background(), bucket, key).UploadId(uploadId).Execute()
if err != nil {
fmt.Fprintf(os.Stderr, "Error when calling `UploadsApi.AbortMultipartUpload``: %v\n", err)
fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
}
// response from `AbortMultipartUpload`: map[string]interface{}
fmt.Fprintf(os.Stdout, "Response from `UploadsApi.AbortMultipartUpload`: %v\n", resource)
}Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
CompleteMultipartUpload
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
CreateMultipartUpload
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
ListMultipartUploads
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
ListParts
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
UploadPart
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
UploadPartCopy
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
Last updated